ChartElement (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.flow.system.elem
Class ChartElement

    java.lang.Object
      org.maltparser.core.flow.system.elem.ChartElement

    public class ChartElement

extends Object

Author:
  Johan Hall

Constructor Summary
`ChartElement()`

Method Summary
`void` | `addAttribute(String name, ChartAttribute attribute)`
`ChartAttribute` | `getAttribute(String name)`
`LinkedHashMap<String,ChartAttribute>` | `getAttributes()`
`Class<? extends ChartItem>` | `getChartItemClass()`
`String` | `getItem()`
`void` | `read(Element chartElem, FlowChartSystem flowChartSystem)`
`void` | `setItem(String item)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartElement

    public ChartElement()

Method Detail

### getItem

    public String getItem()

### setItem

    public void setItem(String item)

### addAttribute

    public void addAttribute(String name,
                             ChartAttribute attribute)

### getAttribute

    public ChartAttribute getAttribute(String name)

### getChartItemClass

    public Class<? extends ChartItem> getChartItemClass()

### getAttributes

    public LinkedHashMap<String,ChartAttribute> getAttributes()

### read

    public void read(Element chartElem,
                     FlowChartSystem flowChartSystem)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.